package com.ruoyi.system.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class SnTemplate extends BaseEntity {
   private static final long serialVersionUID = 1L;
   private Long templateId;
   @Excel(
      name = "类别"
   )
   private Integer category;
   private transient String categoryList;
   @Excel(
      name = "国家"
   )
   private String country;
   @Excel(
      name = "模板名称"
   )
   private String name;
   @Excel(
      name = "版本"
   )
   private String version;
   @Excel(
      name = "封面图"
   )
   private String coverImage;
   @Excel(
      name = "包地址"
   )
   private String packUrl;
   @Excel(
      name = "等级"
   )
   private Integer level;
   @Excel(
      name = "语言"
   )
   private String language;
   @Excel(
      name = "使用次数"
   )
   private Integer useCount;
   @Excel(
      name = "模板状态"
   )
   private Integer status;
   private Integer isDelete;
   private Long createId;
   private String createName;
   private Long updateId;
   private String updateName;

   public String toString() {
      return (new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)).append("templateId", this.getTemplateId()).append("category", this.getCategory()).append("country", this.getCountry()).append("name", this.getName()).append("version", this.getVersion()).append("coverImage", this.getCoverImage()).append("packUrl", this.getPackUrl()).append("level", this.getLevel()).append("useCount", this.getUseCount()).append("status", this.getStatus()).append("isDelete", this.getIsDelete()).append("createId", this.getCreateId()).append("createName", this.getCreateName()).append("createTime", this.getCreateTime()).append("updateId", this.getUpdateId()).append("updateName", this.getUpdateName()).append("updateTime", this.getUpdateTime()).toString();
   }

   public Long getTemplateId() {
      return this.templateId;
   }

   public Integer getCategory() {
      return this.category;
   }

   public String getCategoryList() {
      return this.categoryList;
   }

   public String getCountry() {
      return this.country;
   }

   public String getName() {
      return this.name;
   }

   public String getVersion() {
      return this.version;
   }

   public String getCoverImage() {
      return this.coverImage;
   }

   public String getPackUrl() {
      return this.packUrl;
   }

   public Integer getLevel() {
      return this.level;
   }

   public String getLanguage() {
      return this.language;
   }

   public Integer getUseCount() {
      return this.useCount;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Integer getIsDelete() {
      return this.isDelete;
   }

   public Long getCreateId() {
      return this.createId;
   }

   public String getCreateName() {
      return this.createName;
   }

   public Long getUpdateId() {
      return this.updateId;
   }

   public String getUpdateName() {
      return this.updateName;
   }

   public void setTemplateId(Long templateId) {
      this.templateId = templateId;
   }

   public void setCategory(Integer category) {
      this.category = category;
   }

   public void setCategoryList(String categoryList) {
      this.categoryList = categoryList;
   }

   public void setCountry(String country) {
      this.country = country;
   }

   public void setName(String name) {
      this.name = name;
   }

   public void setVersion(String version) {
      this.version = version;
   }

   public void setCoverImage(String coverImage) {
      this.coverImage = coverImage;
   }

   public void setPackUrl(String packUrl) {
      this.packUrl = packUrl;
   }

   public void setLevel(Integer level) {
      this.level = level;
   }

   public void setLanguage(String language) {
      this.language = language;
   }

   public void setUseCount(Integer useCount) {
      this.useCount = useCount;
   }

   public void setStatus(Integer status) {
      this.status = status;
   }

   public void setIsDelete(Integer isDelete) {
      this.isDelete = isDelete;
   }

   public void setCreateId(Long createId) {
      this.createId = createId;
   }

   public void setCreateName(String createName) {
      this.createName = createName;
   }

   public void setUpdateId(Long updateId) {
      this.updateId = updateId;
   }

   public void setUpdateName(String updateName) {
      this.updateName = updateName;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SnTemplate)) {
         return false;
      } else {
         SnTemplate other = (SnTemplate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label203: {
               Object this$templateId = this.getTemplateId();
               Object other$templateId = other.getTemplateId();
               if (this$templateId == null) {
                  if (other$templateId == null) {
                     break label203;
                  }
               } else if (this$templateId.equals(other$templateId)) {
                  break label203;
               }

               return false;
            }

            Object this$category = this.getCategory();
            Object other$category = other.getCategory();
            if (this$category == null) {
               if (other$category != null) {
                  return false;
               }
            } else if (!this$category.equals(other$category)) {
               return false;
            }

            Object this$level = this.getLevel();
            Object other$level = other.getLevel();
            if (this$level == null) {
               if (other$level != null) {
                  return false;
               }
            } else if (!this$level.equals(other$level)) {
               return false;
            }

            label182: {
               Object this$useCount = this.getUseCount();
               Object other$useCount = other.getUseCount();
               if (this$useCount == null) {
                  if (other$useCount == null) {
                     break label182;
                  }
               } else if (this$useCount.equals(other$useCount)) {
                  break label182;
               }

               return false;
            }

            label175: {
               Object this$status = this.getStatus();
               Object other$status = other.getStatus();
               if (this$status == null) {
                  if (other$status == null) {
                     break label175;
                  }
               } else if (this$status.equals(other$status)) {
                  break label175;
               }

               return false;
            }

            label168: {
               Object this$isDelete = this.getIsDelete();
               Object other$isDelete = other.getIsDelete();
               if (this$isDelete == null) {
                  if (other$isDelete == null) {
                     break label168;
                  }
               } else if (this$isDelete.equals(other$isDelete)) {
                  break label168;
               }

               return false;
            }

            Object this$createId = this.getCreateId();
            Object other$createId = other.getCreateId();
            if (this$createId == null) {
               if (other$createId != null) {
                  return false;
               }
            } else if (!this$createId.equals(other$createId)) {
               return false;
            }

            label154: {
               Object this$updateId = this.getUpdateId();
               Object other$updateId = other.getUpdateId();
               if (this$updateId == null) {
                  if (other$updateId == null) {
                     break label154;
                  }
               } else if (this$updateId.equals(other$updateId)) {
                  break label154;
               }

               return false;
            }

            Object this$country = this.getCountry();
            Object other$country = other.getCountry();
            if (this$country == null) {
               if (other$country != null) {
                  return false;
               }
            } else if (!this$country.equals(other$country)) {
               return false;
            }

            label140: {
               Object this$name = this.getName();
               Object other$name = other.getName();
               if (this$name == null) {
                  if (other$name == null) {
                     break label140;
                  }
               } else if (this$name.equals(other$name)) {
                  break label140;
               }

               return false;
            }

            Object this$version = this.getVersion();
            Object other$version = other.getVersion();
            if (this$version == null) {
               if (other$version != null) {
                  return false;
               }
            } else if (!this$version.equals(other$version)) {
               return false;
            }

            Object this$coverImage = this.getCoverImage();
            Object other$coverImage = other.getCoverImage();
            if (this$coverImage == null) {
               if (other$coverImage != null) {
                  return false;
               }
            } else if (!this$coverImage.equals(other$coverImage)) {
               return false;
            }

            label119: {
               Object this$packUrl = this.getPackUrl();
               Object other$packUrl = other.getPackUrl();
               if (this$packUrl == null) {
                  if (other$packUrl == null) {
                     break label119;
                  }
               } else if (this$packUrl.equals(other$packUrl)) {
                  break label119;
               }

               return false;
            }

            label112: {
               Object this$language = this.getLanguage();
               Object other$language = other.getLanguage();
               if (this$language == null) {
                  if (other$language == null) {
                     break label112;
                  }
               } else if (this$language.equals(other$language)) {
                  break label112;
               }

               return false;
            }

            Object this$createName = this.getCreateName();
            Object other$createName = other.getCreateName();
            if (this$createName == null) {
               if (other$createName != null) {
                  return false;
               }
            } else if (!this$createName.equals(other$createName)) {
               return false;
            }

            Object this$updateName = this.getUpdateName();
            Object other$updateName = other.getUpdateName();
            if (this$updateName == null) {
               if (other$updateName != null) {
                  return false;
               }
            } else if (!this$updateName.equals(other$updateName)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SnTemplate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $templateId = this.getTemplateId();
      result = result * 59 + ($templateId == null ? 43 : $templateId.hashCode());
      Object $category = this.getCategory();
      result = result * 59 + ($category == null ? 43 : $category.hashCode());
      Object $level = this.getLevel();
      result = result * 59 + ($level == null ? 43 : $level.hashCode());
      Object $useCount = this.getUseCount();
      result = result * 59 + ($useCount == null ? 43 : $useCount.hashCode());
      Object $status = this.getStatus();
      result = result * 59 + ($status == null ? 43 : $status.hashCode());
      Object $isDelete = this.getIsDelete();
      result = result * 59 + ($isDelete == null ? 43 : $isDelete.hashCode());
      Object $createId = this.getCreateId();
      result = result * 59 + ($createId == null ? 43 : $createId.hashCode());
      Object $updateId = this.getUpdateId();
      result = result * 59 + ($updateId == null ? 43 : $updateId.hashCode());
      Object $country = this.getCountry();
      result = result * 59 + ($country == null ? 43 : $country.hashCode());
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      Object $version = this.getVersion();
      result = result * 59 + ($version == null ? 43 : $version.hashCode());
      Object $coverImage = this.getCoverImage();
      result = result * 59 + ($coverImage == null ? 43 : $coverImage.hashCode());
      Object $packUrl = this.getPackUrl();
      result = result * 59 + ($packUrl == null ? 43 : $packUrl.hashCode());
      Object $language = this.getLanguage();
      result = result * 59 + ($language == null ? 43 : $language.hashCode());
      Object $createName = this.getCreateName();
      result = result * 59 + ($createName == null ? 43 : $createName.hashCode());
      Object $updateName = this.getUpdateName();
      result = result * 59 + ($updateName == null ? 43 : $updateName.hashCode());
      return result;
   }
}
